Subject: Re: [PATCH V1 net-next 0/3] net: stmmac: implement clocks

From: Andrew Lunn <[email-masked]>
Date: Wed, 24 Feb 2021 14:01:38 +0100

> Understood. Please double check ethtool callbacks work fine. People
> often forget about those when disabling clocks in .close.

The MDIO bus can also be used at any time, not just when the interface
is open. For example the MAC could be connected to an Ethernet switch,
which is managed by the MDIO bus. Or some PHYs have a temperature
sensor which is registered with HWMON when the PHY is probed.

You said you copied the FEC driver. Take a look at that, it was
initially broken in this way, and i needed to extend it when i got a
board with an Ethernet switch attached to the FEC.

      Andrew